<template>
  <div v-if="!header.IsHidden">
    <div
      :class="[
        'container mx-auto my-10',
        isChinaEnabled ? '--text' : '--text2',
      ]"
    >
      <div v-if="!header.IsHidden" class="pb-4 mb-4 text-3xl border-b">
        {{ header.Text }}
      </div>
      <div v-if="!content.IsHidden" v-html="content.Text"></div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, computed, PropType } from "vue";
import { store } from "@/store";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";

export default defineComponent({
  name: "SingleContentPrivacy",
  props: {
    /**
     * banner keys specific to a theme
     * @example
     * const keys: Record<string, string> = {
     *  title: 'footer_menu_info_',
     *  content: 'menu_content_',
     * };
     */
    keys: {
      type: Object as PropType<Record<string, string>>,
      required: true,
    },
  },
  setup(props) {
    const isChinaEnabled = computed(
      (): boolean => store.state.selectedThemeName === "china"
    );
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const header = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          props.keys.title
        )
    );
    const content = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          props.keys.content
        )
    );
    return {
      header,
      content,
      isChinaEnabled,
    };
  },
});
</script>
